rubygem-rake-compiler-0.7.5-1-rosa.lts2012.0.noarch.rpm


Advertisement

Description

rubygem-rake-compiler - Rake-based Ruby Extension (C, Java) task generator

Distribution: ROSA Enterprise Desktop
Repository: ROSA Contrib Updates x86_64
Package name: rubygem-rake-compiler
Package version: 0.7.5
Package release: 1-rosa.lts2012.0
Package architecture: noarch
Package type: rpm
Installed size: 228.69 KB
Download size: 74.98 KB
Official Mirror: mirror.rosalab.ru
Provide a standard and simplified way to build and package Ruby extensions (C, Java) using Rake as glue.

Provides

  • rubygem(rake-compiler) == 0.7.5
  • rubygem-rake-compiler == 0.7.5-1:2012.0

    Install Howto

    1. Enable ROSA Contrib Updates repository on Install and Remove Software"
    2. Update packages list:
      # urpmi.update -a
    3. Install rubygem-rake-compiler rpm package:
      # urpmi rubygem-rake-compiler

    Files

    • /usr/bin/rake-compiler
    • /usr/lib/ruby/gems/1.8/cache/rake-compiler-0.7.5.gem
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/created.rid
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/fr_class_index.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/fr_file_index.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/fr_method_index.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/index.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/rdoc-style.css
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/classes/Rake.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/classes/Rake/BaseExtensionTask.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/classes/Rake/ExtensionCompiler.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/classes/Rake/ExtensionTask.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/classes/Rake/JavaExtensionTask.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/classes/Rake/BaseExtensionTask.src/M000012.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/classes/Rake/BaseExtensionTask.src/M000013.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/classes/Rake/BaseExtensionTask.src/M000014.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/classes/Rake/BaseExtensionTask.src/M000015.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/classes/Rake/ExtensionCompiler.src/M000001.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/classes/Rake/ExtensionCompiler.src/M000002.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/classes/Rake/ExtensionTask.src/M000003.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/classes/Rake/ExtensionTask.src/M000004.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/classes/Rake/ExtensionTask.src/M000005.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/classes/Rake/ExtensionTask.src/M000006.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/classes/Rake/ExtensionTask.src/M000007.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/classes/Rake/JavaExtensionTask.src/M000008.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/classes/Rake/JavaExtensionTask.src/M000009.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/classes/Rake/JavaExtensionTask.src/M000010.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/classes/Rake/JavaExtensionTask.src/M000011.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/files/History_txt.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/files/LICENSE_txt.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/files/README_rdoc.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/files/lib/
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/files/lib/rake/baseextensiontask_rb.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/files/lib/rake/extensioncompiler_rb.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/files/lib/rake/extensiontask_rb.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/rdoc/files/lib/rake/javaextensiontask_rb.html
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/ri/created.rid
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/ri/Rake/cdesc-Rake.yaml
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/ri/Rake/BaseExtensionTask/cdesc-BaseExtensionTask.yaml
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/ri/Rake/BaseExtensionTask/define-i.yaml
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/ri/Rake/BaseExtensionTask/init-i.yaml
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/ri/Rake/BaseExtensionTask/new-c.yaml
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/ri/Rake/BaseExtensionTask/platform-i.yaml
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/ri/Rake/ExtensionCompiler/cdesc-ExtensionCompiler.yaml
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/ri/Rake/ExtensionCompiler/mingw_gcc_executable-c.yaml
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/ri/Rake/ExtensionCompiler/mingw_host-c.yaml
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/ri/Rake/ExtensionTask/binary-i.yaml
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/ri/Rake/ExtensionTask/cdesc-ExtensionTask.yaml
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/ri/Rake/ExtensionTask/cross_compiling-i.yaml
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/ri/Rake/ExtensionTask/cross_platform-i.yaml
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/ri/Rake/ExtensionTask/define-i.yaml
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/ri/Rake/ExtensionTask/init-i.yaml
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/ri/Rake/JavaExtensionTask/cdesc-JavaExtensionTask.yaml
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/ri/Rake/JavaExtensionTask/define-i.yaml
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/ri/Rake/JavaExtensionTask/init-i.yaml
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/ri/Rake/JavaExtensionTask/java_compiling-i.yaml
    • /usr/lib/ruby/gems/1.8/doc/rake-compiler-0.7.5/ri/Rake/JavaExtensionTask/platform-i.yaml
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/History.txt
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/Isolate
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/LICENSE.txt
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/README.rdoc
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/Rakefile
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/cucumber.yml
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/bin/rake-compiler
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/features/compile.feature
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/features/cross-compile.feature
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/features/cross-package-multi.feature
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/features/cross-package.feature
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/features/java-compile.feature
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/features/java-no-native-compile.feature
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/features/java-package.feature
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/features/package.feature
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/features/step_definitions/compilation.rb
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/features/step_definitions/cross_compilation.rb
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/features/step_definitions/execution.rb
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/features/step_definitions/folders.rb
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/features/step_definitions/gem.rb
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/features/step_definitions/java_compilation.rb
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/features/support/env.rb
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/features/support/file_template_helpers.rb
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/features/support/generator_helpers.rb
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/features/support/platform_extension_helpers.rb
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/lib/
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/lib/rake/baseextensiontask.rb
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/lib/rake/extensioncompiler.rb
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/lib/rake/extensiontask.rb
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/lib/rake/javaextensiontask.rb
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/spec/spec.opts
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/spec/spec_helper.rb
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/spec/lib/
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/spec/lib/rake/extensiontask_spec.rb
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/spec/lib/rake/javaextensiontask_spec.rb
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/spec/support/capture_output_helper.rb
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/tasks/bootstrap.rake
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/tasks/common.rake
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/tasks/cucumber.rake
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/tasks/gem.rake
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/tasks/news.rake
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/tasks/release.rake
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/tasks/rspec.rake
    • /usr/lib/ruby/gems/1.8/gems/rake-compiler-0.7.5/tasks/bin/cross-ruby.rake
    • /usr/lib/ruby/gems/1.8/specifications/rake-compiler-0.7.5.gemspec

    Changelog

    2010-12-18 - R?my Clouard <shikamaru@mandriva.org> 0.7.5-1mdv2011.0 + Revision: 622891 - Bump release - new version 0.7.5 - remove ugly hack now that dependencies are fixed

    2010-12-04 - R?my Clouard <shikamaru@mandriva.org> 0.7.1-2mdv2011.0 + Revision: 609237 - FIXME: make rubygem-rake-compiler installable The problem is that development dependencies include cucumber in version >= 0.4.4 and < 0.5 while we have 0.9.4 and rspec >= 1.2.9 and < 1.3.0 while we have 2.0.1 These are development dependencies so I assume it should work without it but a cleaner way would be to make it compatible with the versions we have but I didn?\226?\128?\153t have time to dig into it to see what would change.

    2010-11-04 - R?my Clouard <shikamaru@mandriva.org> 0.7.1-1mdv2011.0 + Revision: 593483 - import rubygem-rake-compiler

    Advertisement
    Advertisement